
Application: gvSIG desktop - gvSIG feature requests #253
gdal support for fedora11 i586
02/06/2012 01:50 PM - Jose Manuel Vivó Arnal

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Jose Manuel Vivó Arnal
Category: Raster
Target version: 2.0.0-alpha4
gvSIG version: 2.0.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: Yes Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

We need gdal support for gvSIG-educa project (#204):

Ceibal project uses a OLPC 11.2 S.O which  is based on Fedora 11 i586. This linux uses a 2.10.2 glibc version, older than current
used in raster support.

History
#1 - 02/06/2012 03:03 PM - Jose Manuel Vivó Arnal
- Description updated

#2 - 02/06/2012 03:15 PM - Cesar Ordiñana
- Assignee set to Jose Manuel Vivó Arnal
- Has patch changed from No to Yes

#3 - 02/06/2012 03:32 PM - Jose Manuel Vivó Arnal
- Status changed from New to In progress

added profile  fedora11 (activated with native-platform=fedora11) in jgdal/pom.xml r974

#4 - 02/06/2012 05:21 PM - Jose Manuel Vivó Arnal

To deploy tar.gz gdal file:

mvn deploy:deploy-file -Dfile=gdal-1.6.0-fedora11-i586-dynamic.tar.gz -Durl=dav:https://devel.gvsig.org/m2repo/j2se/ -DrepositoryId=gvsig-repository
-DgroupId=org.gdal -Dversion=1.6.0 -DartifactId=gdal -Dpackaging=tar.gz -Dclassifier=fedora11-i586-dynamic

To deploy tar.gz jgdal file:

mvn deploy:deploy-file -Dfile=org.gvsig.jgdal-2.0.4-SNAPSHOT-fedora11-i586-dynamic.tar.gz -Durl=dav:https://devel.gvsig.org/m2repo/j2se/
-DrepositoryId=gvsig-repository -DgroupId=org.gvsig -Dversion=2.0.4-SNAPSHOT -DartifactId=org.gvsig.jgdal -Dpackaging=tar.gz
-Dclassifier=fedora11-i586-dynamic

#5 - 02/08/2012 04:39 PM - Jose Manuel Vivó Arnal
To compile tilecache for Fedora11:

mvn -Dnative-classifier=fedora11-i586-dynamic -Dnative-platform=fedora11 -P create-installer install

#6 - 02/08/2012 04:43 PM - Jose Manuel Vivó Arnal
- Status changed from In progress to Fixed
- Target version set to 2.0.0-alpha5

Commit tilecache changes r977

#7 - 02/09/2012 10:30 AM - Jose Manuel Vivó Arnal
- Status changed from Fixed to In progress

Missing some libs

#8 - 02/09/2012 10:56 AM - Jose Manuel Vivó Arnal
- Status changed from In progress to Fixed
- % Done changed from 0 to 100

Fixed in r981

#9 - 02/09/2012 02:28 PM - Cesar Ordiñana
- Target version changed from 2.0.0-alpha5 to 2.0.0-alpha4

#10 - 02/26/2014 12:35 PM - Álvaro Anguix
- Status changed from Fixed to Closed
